Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.util
Class DiskFPMergeUriUniqFilter.DataFileLongIterator

    java.lang.Object
      org.archive.crawler.util.DiskFPMergeUriUniqFilter.DataFileLongIterator

All Implemented Interfaces:
  it.unimi.dsi.fastutil.longs.LongIterator, java.util.Iterator<java.lang.Long>

Enclosing class:
  DiskFPMergeUriUniqFilter

    public class DiskFPMergeUriUniqFilter.DataFileLongIterator

extends java.lang.Object
implements it.unimi.dsi.fastutil.longs.LongIterator

Field Summary
`(package private) java.io.DataInputStream` | `in`
`(package private) long` | `next`
`(package private) boolean` | `nextIsValid`

Constructor Summary
`DiskFPMergeUriUniqFilter.DataFileLongIterator(java.io.DataInputStream disStream)` Construct a long iterator reading from the given stream.

Method Summary
`boolean` | `hasNext()` Test whether any items remain; loads next item into holding 'next' field.
`protected boolean` | `lookahead()` Check if there's a next by trying to read it.
`java.lang.Long` | `next()` Return the next item.
`long` | `nextLong()`
`void` | `remove()`
`int` | `skip(int arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    java.io.DataInputStream in

### next

    long next

### nextIsValid

    boolean nextIsValid

Constructor Detail

### DiskFPMergeUriUniqFilter.DataFileLongIterator

    public DiskFPMergeUriUniqFilter.DataFileLongIterator(java.io.DataInputStream disStream)

  Construct a long iterator reading from the given stream.

  Parameters:
    `disStream` - DataInputStream from which to read longs

Method Detail

### hasNext

    public boolean hasNext()

  Test whether any items remain; loads next item into holding 'next' field.

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.lang.Long>`
  See Also:
    `Iterator.hasNext()`

### lookahead

    protected boolean lookahead()

  Check if there's a next by trying to read it.

  Returns:
    true if 'next' field is filled with a valid next, false otherwise

### next

    public java.lang.Long next()

  Return the next item.

  Specified by:
    `next` in interface `java.util.Iterator<java.lang.Long>`
  See Also:
    `Iterator.next()`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.lang.Long>`

### nextLong

    public long nextLong()

  Specified by:
    `nextLong` in interface `it.unimi.dsi.fastutil.longs.LongIterator`

### skip

    public int skip(int arg0)

  Specified by:
    `skip` in interface `it.unimi.dsi.fastutil.longs.LongIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.